<?php
namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;
class RegenerateCredentials extends AbstractCommand
{
    public function post()
    {
        $proxyid = (int)$this->input['proxy_id'];

        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('proxies/' . $proxyid.'/regenerate-credentials', []);

        if(!$request)
        {
            return ['message' => 'Proxy not found'];
        }
        return $request;
    }
}